Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::StateOutBin Class Reference

Save state to a binary file. More...

`#include <state_bin.h>`

Inheritance diagram for sc::StateOutBin:

[legend]
Collaboration diagram for sc::StateOutBin:

[legend]
List of all members.

## Public Methods
| StateOutBin ()
| StateOutBin (std::ostream &)
| StateOutBin (const char *)
| ~StateOutBin ()
int | open (const char *name)
| State information will be written to name.
void | close ()
| Close the output stream.
int | use_directory ()
| Returns true if this object uses a directory.
int | tell ()
| Returns the current position in the file. More...
void | seek (int loc)
| Set the current position in the file. More...
int | seekable ()
| Return non-zero if tell and seek do anything sensible. More...

## Detailed Description

Save state to a binary file.

## Member Function Documentation

void sc::StateOutBin::seek | ( | int | loc | ) | `[virtual]`

| Set the current position in the file. The default implementation does nothing. Reimplemented from sc::StateOut.

int sc::StateOutBin::seekable | ( |  | ) | `[virtual]`

| Return non-zero if tell and seek do anything sensible. The default implementation returns 0. Reimplemented from sc::StateOut.

int sc::StateOutBin::tell | ( |  | ) | `[virtual]`

| Returns the current position in the file. The default implementation returns 0. Reimplemented from sc::StateOut.

The documentation for this class was generated from the following file:

- state_bin.h